# tbb::empty_task Class Reference
[Task Scheduling]

task that does nothing. Useful for synchronization. More...

`#include <task.h>`

Inheritance diagram for tbb::empty_task:

List of all members.

## Detailed Description

task that does nothing. Useful for synchronization.

The documentation for this class was generated from the following file:

- task.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.